//
//  NavigationManager.swift
//  BooksShelfControlActionStarter
//
//  Created by Giugliano Antonella on 04/03/25.
//
import SwiftUI

@MainActor @Observable
final class NavigationManager {
    var navigationPath = NavigationPath()
    var book: Book?
    var searchText: String = ""
    var isAddBookOpen: Bool = false
    
    func openBook(book: Book) {
        navigationPath = NavigationPath([book])
    }
    
    func openSearch(with criteria: String) {
        searchText = criteria
    }
    
    func openAddBook() {
        navigationPath = NavigationPath()
        isAddBookOpen = true
    }
}


